require "Insurgent/Traits/LoadoutGunslingerTrait"

LoadoutGunslingerTrait.mutualExclusions = {"LoadoutPistoleer"}
LoadoutGunslingerTrait.description  = getText("UI_trait_LoadoutGunslingerDesc_BRITA_VERSION")

function LoadoutGunslingerTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutGunslinger") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.M29_44", {"Base.Sight_MicroDot", "Base.Laser_Red"})
    InsurgentWeaponUtil.addMags(player, "Base.Bullets44", 6)
end


require "Insurgent/InsurgentWeaponUtil"

function InsurgentWeaponUtil.addBasicPistol(player)
    InsurgentWeaponUtil.addWeapon(player, "Base.Pistol", {"Base.Sight_MicroDot", "Base.Laser_Red"})
    InsurgentWeaponUtil.addMags(player, "Base.9mmClip", 4)
end